Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 624375 - encoding problem turning valid text and link into garbage
encoding problem turning valid text and link into garbage
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
3.6
All Linux
high Severity high (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-16 04:16 EDT by Adrien Kunysz
Modified: 2013-06-23 21:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-16 16:15:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrien Kunysz 2010-08-16 04:16:33 EDT
Description of problem:

Link at https://bugzilla.redhat.com/show_bug.cgi?id=601419#c9 is illegible. It should read "http://www.samba.org/samba/security/CVE-2010-2063.html" but it read "http://www.samba.org/samba/security/��0��.html" instead (not sure this will render as expected in this description field).

How reproducible:

Unknown.

Additional info:

<adk> can someone please fix the link to samba.org given in https://bugzilla.redhat.com/show_bug.cgi?id=601419#c9 looks like there is an encoding problem
<rogerman> adk: can you file BZ bz for that isuse?
<adk> you mean open a bugzilla on the bugzilla component?
<rogerman> yes
<adk> oh, you think it might be related to the upgrade
<mjc> do we know what it used to say?
<rogerman> yup, comment "source" looks ok
<mjc> ah, yes http://www.samba.org/samba/security/CVE-2010-2063.html
<rogerman> comment says:
<rogerman> This is now public:
<rogerman> http://www.samba.org/samba/security/CVE-2010-2063.html
<rogerman> but it's not rendered correctly
<adk> my rendering of the source is borked too
<adk>  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
* mjc wonders how CVE-2010-2063 turns into ��0��
<adk> Content-Type: text/html; charset=UTF-8
<mjc> if I go to 'edit comment' i see the correct link
<rogerman> may be some bug in auto-link-ification of the CVE-XXXX-YYYY pattern
Comment 1 Adrien Kunysz 2010-08-16 04:19:35 EDT
This is obviously affecting other instances of the C V E -XXXX-YYYY pattern as the first, third and fourth instance of the garbled text in the description above are supposed to read C V E -2010-2063.
Comment 2 Tomas Hoger 2010-08-16 04:25:01 EDT
Looks like other URLs containing CVE gets garbaged too:
  https://bugzilla.redhat.com/show_bug.cgi?id=612296#c0

shows:
  URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=��2
Comment 3 Adrien Kunysz 2010-08-16 04:31:42 EDT
The e-mail notifications do not seem affected by the problem.
Comment 5 David Lawrence 2010-08-16 16:15:11 EDT
Sorry for the trouble and thanks for the report. I have committed to changes to address this issue. This should be in the next code update hopefully tomorrow morning.

Dave
Comment 6 Tomas Hoger 2010-08-17 04:54:00 EDT
CVE and issue links seem to be fixed now, though I've came across similar problem in bug #614643, comment #15.  SF.net link seems to get merged to following CVE, possibly related to my other bug #624597?  Dave, can you have a look?  TY!

Note You need to log in before you can comment on or make changes to this bug.